For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Addresses
                • POSTCreate Customer Address
                • PUTUpdate Customer Address
                • DELDelete Customer Address
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Addresses

List Customer Addresses

GET
https://api.bigcommerce.com/stores/:store_hash/v3/customers/addresses
GET
/stores/:store_hash/v3/customers/addresses
$curl https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "data": [
3 {
4 "address1": "123 Example Street",
5 "city": "Austin",
6 "country_code": "US",
7 "customer_id": 1,
8 "first_name": "John",
9 "id": 18,
10 "last_name": "Doe",
11 "postal_code": "78759",
12 "state_or_province": "Texas",
13 "address2": "Building 4",
14 "address_type": "residential",
15 "company": "BigCommerce",
16 "country": "United States",
17 "phone": "15551234567"
18 }
19 ],
20 "meta": {
21 "pagination": {
22 "total": 1,
23 "count": 1,
24 "per_page": 50,
25 "current_page": 1,
26 "total_pages": 1
27 }
28 }
29}
Returns a list of Customer Addresses. Optional filter parameters can be passed in.
Was this page helpful?
Previous

Delete Customers

Next

Create Customer Address

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number. page=1

limitdoubleOptional

Items count per page. limit=50

company:inlist of stringsOptional

Filter items by company. company:in=bigcommerce,commongood

name:inlist of stringsOptional

Filter items by first_name and last_name. name:in=James+Moriarty

customer_id:inlist of integersOptional

Filter by the ID of the customer. Also accepts comma-separated IDs to filter for multiple customers. customer_id:in=23,24,55

includelist of enumsOptional
Indicates whether to include customer address sub-resources: * `formfields` - address form fields `include=formfields`
Allowed values:
id:inlist of integersOptional

Filter items by ID. id:in=4,5,6

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Indicates whether to include customer address sub-resources:

  • formfields - address form fields include=formfields